#include <stdlib.h>
#include "liblhtview.h"
#include "liblihata/tree.h"
lhtview_t *ctx = NULL;

int yywrap()
{
	return 1;
}

extern int yylex (void);

void prompt(lhtview_t *ctx)
{
	if (ctx->quiet)
		return;
	if (ctx->cwd != NULL) {
		char *path = lht_tree_path_build(NULL, ctx->cwd);
		printf("%s> ",path);
		free(path);
	}
	else
		printf("*no-doc*> ");

	fflush(stdout);
}

int main(int argc, char *argv[])
{
	int n;
	char *cmd;
	int quiet = 0;

	/* minimalistic command line argument parsing */
	for(n = 1; n < argc; n++) {
		cmd = argv[n];
		while(*cmd == '-') cmd++;
		switch(*cmd) {
			case 'q': quiet = 1; break;
			default: fprintf(stderr, "Unknown argument '%s'\n", argv[n]); exit(1);
		}
	}

	ctx = lhtview_init(quiet);
	prompt(ctx);
	while(yylex() == 0);
	printf("\n");
	lhtview_uninit(ctx);
	return 0;
}
